#!/bin/bash

if [ -d $1 -a -r $1/index.vdr ]; then
  Index="$1/index.vdr"
  if [ -L $Index ]; then
    Index=`readlink $Index`
  fi
  Frames=`ls -l $Index | cut -d \  -f6`
  let "Frames /= 8"
echo "Frames=$Frames"
  VDRSize=0
  for VDRLink in `ls $1 | egrep [0-9]{3}\.vdr`; do
echo "VDRLink=$VDRLink"
    VDRFile="$1/$VDRLink"
    if [ -L $VDRFile ]; then
      VDRFile=`readlink $VDRFile`
    fi
    Size=`ls -l $VDRFile | cut -d \  -f6`
    let "VDRSize += ($Size + 512) / 1024"
  done
echo "VDRSize=$VDRSize"
  MarksFile="$1/marks.vdr"
  if [ -r $MarksFile ]; then
    FramesCut=0
    Start=1
cat $MarksFile
    for Line in `cut -d \  -f1 $MarksFile`; do
      ValH=`echo $Line | cut -d \: -f1` 
      ValM=`echo $Line | cut -d \: -f2` 
      ValS=`echo $Line | cut -d \: -f3 | cut -d \. -f1` 
      ValF=`echo $Line | cut -d \. -f2` 
      let "Frame = (($ValH * 60 + $ValM) * 60 + $ValS) * 25 + $ValF"
echo "Frame=$Frame ValH=$ValH ValM=$ValM ValS=$ValS ValF=$ValF"
      if [ $Start -eq 1 ]; then
        Start=0
	FrameStart=$Frame
      else
        Start=1
	let "FramesCut += $Frame - $FrameStart"
      fi
    done
    if [ $Start -ne 1 ]; then
      let "FramesCut += $Frames - $FrameStart"
    fi
echo "FramesCut=$FramesCut"
    echo "$Frames $FramesCut $VDRSize" | awk '{ Zeit = $1; GesF = (Zeit % 25) + 1; Zeit = int(Zeit / 25); GesS = Zeit % 60; Zeit = int(Zeit / 60); GesM = Zeit % 60; GesH = int(Zeit / 60); Zeit = $2; CutF = (Zeit % 25) + 1; Zeit = int(Zeit / 25); CutS = Zeit % 60; Zeit = int(Zeit / 60); CutM = Zeit % 60; CutH = int(Zeit / 60); printf "\n\nLnge gesamt %02d:%02d:%02d.%02d Gre %.2f MB\ngeschnitten  %02d:%02d:%02d.%02d Gre %.2f MB (ca.)\nDatenrate %.2f MBit/sek\n", GesH, GesM, GesS, GesF, $3 / 1024, CutH, CutM, CutS, CutF, $3 * $2 / 1024 / $1, $3 * 200 / $1 / 1024; }' | tee -a $1/summary.vdr
  fi
else
  echo "'$1' ist kein Aufnahmeverzeichniss" >stderr
fi
